PACREPAIRDB(1)

BEZEICHNUNG
pacrepairdb - beschädigte Datenbankeinträge reparieren

ÜBERSICHT
 pacrepairdb [Optionen] <Paket> …   pacrepairdb
(--help|--version)

BESCHREIBUNG
Versucht, beschädigte Paketeinträge in der Libalpm-Datenbank zu reparieren. Alle fehlenden essenziellen Dateien werden angelegt und die Pakete aus dem Zwischenspeicher erneut installiert.

Falls die Standardeingabe nicht mit einem Terminal verbunden ist, werden Paketnamen aus der Standardeingabe gelesen.

OPTIONEN

--cachedir=Pfad
    gibt einen Pfad zu einem alternativen Zwischenspeicherverzeichnis an.

--config=Pfad
    gibt den Pfad zu einer alternativen Konfigurationsdatei an.

--dbonly
    nimmt die Änderungen an der Datenbank vor, ohne tatsächlich Pakete zu entpacken oder zu entfernen.

--dbpath=Pfad
    gibt den Pfad zu einer alternativen Datenbank an.

--debug
    zeigt zusätzliche Informationen zur Fehlersuche an.

--hookdir
    fügt zusätzliche Benutzer-Hook-Verzeichnisse hinzu.

--logfile=Pfad
    gibt einen Pfad zu einer alternativen Protokolldatei an.

--no-confirm
    gibt in allen Eingabeaufforderungen die vorgegebenen Antworten.

--no-scriptlet
    führt keine Paketinstallationsskripte aus.

--no-hooks
    führt keine Transaktions-Hooks aus.

--no-timeout
    deaktiviert für Downloads Zeitüberschreitungen bei niedriger Geschwindigkeit.

--print-only
    zeigt die zu reparierenden und die aus dem Zwischenspeicher zu verwendenden Pakete an und beendet das Programm.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--verbose
    zeigt zusätzliche Fortschrittsinformationen an.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE
Beschädigte Pakete finden und neu installieren:

 paccheck --list-broken --files --file-properties --db-files
--require-mtree | pacrepairdb

WARNUNGEN
pacrepairdb erwartet, dass alle zu reparierenden Pakete zwischengespeichert sind. Zwischengespeicherte und installierte Pakete mit dem gleichen Namen und der gleichen Version werden als identisch angesehen. Es wird nicht versucht, zwischengespeicherte Pakete zu validieren. Falls ein Zwischenspeicher ein Paket enthält, das nicht dem installierten Paket entspricht, aber den gleichen Namen und die gleiche Versionsnummer hat, wird pacrepairdb es blindlings installieren, wodurch Datenbankprobleme noch verschlimmert werden.

pacrepairdb prüft nicht auf übriggebliebene verwaiste Dateien. Für das Auffinden und Beseitigen verwaister Dateien ist der Benutzer selbst verantwortlich.

pacrepairdb ermittelt durch eine einfache Überprüfung mit isatty(3), ob Pakete aus der Standardeingabe gelesen werden sollen oder nicht. Falls pacrepairdb in einer Umgebung aufgerufen wird, beispielsweise in einer Shellfunktion oder einem Skript, das in einer Pipe verwendet wird, wobei die Standardeingabe nicht mit einem Terminal verbunden ist, aber keine zu reparierenden Pakete enthält, sollte pacrepairdb mit geschlossener Standardeingabe aufgerufen werden. Für POSIX-kompatible Shells können Sie dies mit <&-« erreichen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).